//------------------------------------------------------------------------------------------------
//
//   Greg's Mod Base - Generic Block
//
//------------------------------------------------------------------------------------------------

package gcewing.lighting;

import net.minecraft.block.*;
import net.minecraft.block.material.*;
import net.minecraft.client.renderer.texture.*;
import net.minecraft.util.*;

public class BaseBlock extends Block implements BaseModClient.IRenderType {

	public int renderID = 0;
	
	public static Icon getIcon(Block block, IconRegister reg, String name) {
		String modPackage = block.getClass().getPackage().getName();
		return reg.registerIcon(modPackage + ":" + name);
	}

	public BaseBlock(int id, Material material) {
		super(id, material);
	}
	
	@Override
	public int getRenderType() {
		return renderID;
	}

	@Override
	public void setRenderType(int id) {
		renderID = id;
	}
	
	@Override
	public boolean renderAsNormalBlock() {
		return renderID == 0;
	}
	
	protected Icon getIcon(IconRegister reg, String name) {
		return getIcon(this, reg, name);
	}

}
